import type { Evaluate, OneOf } from '../types/utils';
export type ErrorType<name extends string = 'Error'> = Error & {
    name: name;
};
type BaseErrorOptions = Evaluate<OneOf<{
    details?: string | undefined;
} | {
    cause: BaseError | Error;
}> & {
    metaMessages?: string[] | undefined;
}>;
export type BaseErrorType = BaseError & {
    name: 'ConnectorCoreError';
};
export declare class BaseError extends Error {
    details: string;
    metaMessages?: string[] | undefined;
    shortMessage: string;
    name: string;
    get version(): string;
    constructor(shortMessage: string, options?: BaseErrorOptions);
}
export {};
